Package org.pentaho.reporting.libraries.formula

# Class Formula

java.lang.Object
org.pentaho.reporting.libraries.formula.Formula

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class Formula extends Object implements Serializable, Cloneable
Creation-Date: 31.10.2006, 14:43:05

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Formula(String formulaText)`
`Formula(LValue rootReference)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`Object`
`evaluate()`
`TypeValuePair`
`evaluateTyped()`
`LValue`
`getRootReference()`
Returns the root reference for this formula.
`void`
`initialize(FormulaContext context)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Formula

public Formula(String formulaText) throws ParseException

Throws:
  `ParseException`

### Formula

public Formula(LValue rootReference)

## Method Details

### initialize

public void initialize(FormulaContext context) throws EvaluationException

Throws:
  `EvaluationException`

### getRootReference

public LValue getRootReference()
Returns the root reference for this formula. This allows external programms to modify the formula directly.

Returns:

### evaluateTyped

public TypeValuePair evaluateTyped()

### evaluate

public Object evaluate()

### clone

public Object clone() throws CloneNotSupportedException

Throws:
  `CloneNotSupportedException`